WordPress.org

Ready to get started?Download WordPress

Forums

Quiz Master Next
[resolved] Edit Question Option (8 posts)

  1. arsdehnel
    Member
    Posted 8 months ago #

    When I get to the Quiz Options -> Quiz Questions page for my quiz and try to click the "edit" link for a certain question I'm getting a javascript error.

    Uncaught SyntaxError: Unexpected identifier
    admin.php?page=mlw_quiz_options&&quiz_id=2:368

    Guessing it has to do with the fact that one of my answers has an apostrophe in it and that's breaking the onClick handler function call.

    http://wordpress.org/plugins/quiz-master-next/

  2. fpcorso
    Member
    Plugin Author

    Posted 8 months ago #

    I went into my test site to play around and I have been able to recreate an issue on certain questions that have apostrophes in them. Unfortunately, I discovered this same bug would prevent the user from taking the quiz/survey as well. I will get a fix in place immediately.

    Thank you for your post!

    ~Frank

  3. fpcorso
    Member
    Plugin Author

    Posted 8 months ago #

    In the new update (0.8.6) this bug of having an apostrophe in question or answer causing errors should now be fixed.

    ~Frank

  4. arsdehnel
    Member
    Posted 8 months ago #

    That appears to be working for me now, thanks!

  5. JackJJW
    Member
    Posted 7 months ago #

    Hi there,
    I seem to have a similar problem, I've just installed it. While I can edit the first question. I can't edit the questions after this one.
    Jack

  6. arsdehnel
    Member
    Posted 7 months ago #

    Version 0.8.6 corrected that for me and it's still working for me with version 0.9.1 which is what I currently have installed. Which version are you using?

  7. fpcorso
    Member
    Plugin Author

    Posted 7 months ago #

    Greetings Jack:

    Thank you for using this plugin.

    Can I get a little more information from you? Can you copy some of the questions that you cannot edit and paste them here? Can you include the Question Order field from the table as well?

    Also, which version of WordPress are you using? Which browser do you use? Which OS do you use?

    Sorry for all the questions.

    ~Frank

  8. fpcorso
    Member
    Plugin Author

    Posted 7 months ago #

    Also, Arsdehnel, I would advise updating to a newer version. The plugin is currently on version 0.9.7 and I will updating to 0.9.8 in a day or so.

    ~Frank

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.